%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-snockets
Version:    1.3.8
Release:    8%{?dist}
Summary:    A JavaScript/CoffeeScript concatenation tool for Node.js inspired by Sprockets
# License text is included in README.mdown.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/TrevorBurnham/snockets
Source0:    http://registry.npmjs.org/snockets/-/snockets-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  coffee-script
BuildRequires:  npm(docco)
BuildRequires:  npm(dep-graph)
BuildRequires:  npm(watchit)
BuildRequires:  npm(uglify-js) < 2

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
%{summary}.


%prep
%setup -q -n package
# Compile from source instead.
rm -rf lib/

%nodejs_fixdep dep-graph '~1.1'
%nodejs_fixdep mime '~1.2'
%nodejs_fixdep uglify-js '~1.3'
%nodejs_fixdep underscore '~1.4'


%build
%nodejs_symlink_deps --check
/usr/bin/cake build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/snockets
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/snockets

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
sed -i -e "/invoke 'docs'/d" Cakefile
/usr/bin/cake test
%endif


%files
%doc README.mdown docs/
%{nodejs_sitelib}/snockets


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jul 29 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-5
- restrict to compatible arches

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-4
- fix BuildRequires

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-3
- remove pre-compiled scripts and instead run 'cake build'
- make some of the versioned dependencies less specific

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-2
- make sure modules are available in %%check

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-1
- initial package
